Mailinglist Archive: opensuse-packaging (284 mails)

< Previous Next >
Re: [opensuse-packaging] Renaming a package
Hi,

try

Provides: pac = 1.0
Obsoletes: pac < 1.0


Am 17.02.2011 09:57, schrieb Cristian Morales Vega:
http://en.opensuse.org/Package_Dependencies#Renaming_a_package recommends:

Provides: pac = 1.0
Obsoletes: pac <= 1.0

But that will make rpmlint complain with:

"<newpac>: W: self-obsoletion <pac> <= <version> obsoletes <pac> = <version>
The package obsoletes itself.  This is known to cause errors in various tools
and should thus be avoided, usually by using appropriately versioned Obsoletes
and/or Provides and avoiding unversioned ones."

Someone that is more sure than me about how RPM manages all this could
correct it? Or fix rpmlint if the warning makes no sense.


--

Christian
---------------------------------------------------
Der ultimative shop für Sportbekleidung und Zubehör

http://www.sc24.de
---------------------------------------------------

--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >